cgal (6.2-2.pgdg14+1) forky-pgdg; urgency=medium

  * Rebuild for forky-pgdg.
  * No source changes.

 -- PostgreSQL on Debian and Ubuntu <pgsql-pkg-debian@lists.postgresql.org>  Mon, 29 Jun 2026 18:15:50 +0200

cgal (6.2-2) unstable; urgency=medium

  * Add patch disable-gdb-autoload-on-armhf to fix build error on armhf.

 -- Joachim Reichel <reichel@debian.org>  Mon, 29 Jun 2026 18:15:50 +0200

cgal (6.2-1) unstable; urgency=medium

  * New upstream release.

 -- Joachim Reichel <reichel@debian.org>  Fri, 12 Jun 2026 17:58:28 +0200

cgal (6.1.1-2) unstable; urgency=medium

  * Remove libboost-system-dev from Build-Depends: and Depends:
    (Closes: #1127178).

 -- Joachim Reichel <reichel@debian.org>  Fri, 06 Feb 2026 16:13:13 +0100

cgal (6.1.1-1) unstable; urgency=medium

  * New upstream release.

 -- Joachim Reichel <reichel@debian.org>  Mon, 26 Jan 2026 16:50:20 +0100

cgal (6.1-1) unstable; urgency=medium

  * New upstream release.
  * Add libinsighttoolkit5-dev, libopenmesh-dev, and nlohmann-json3-dev
    to Suggests: of libcgal-demo.
  * Remove no longer existing libatlas-base-dev from Suggests: of
    libcgal-demo.
  * Update debian/changelog (removal of OpenNL, renamed files).
  * Update debian/README.Debian w.r.t. status of documentation.

 -- Joachim Reichel <reichel@debian.org>  Sun, 05 Oct 2025 12:10:54 +0200

cgal (6.0.1-1) unstable; urgency=medium

  * New upstream release.
  * Remove tweak for /usr/bin/cgal_make_macosx_app, no longer existing.

 -- Joachim Reichel <reichel@debian.org>  Wed, 23 Oct 2024 17:54:02 +0200

cgal (6.0-1) unstable; urgency=medium

  * New upstream release.
  * Add Breaks:/Replaces: libcgal-qt5-dev (<< 6.0~) to libcgal-qt6-dev
    (Closes: #1074265).

 -- Joachim Reichel <reichel@debian.org>  Fri, 27 Sep 2024 16:50:32 +0000

cgal (6.0~beta1-1) experimental; urgency=medium

  * New upstream release.
    * CGAL 6.0 requires C++ 17 or later.
    * The Qt component of CGAL depends now on Qt6 instead of Qt5.
    * The file UseCGAL.cmake has been removed. Use
      target_link_libraries(... CGAL::CGAL) instead of ${CGAL_USE_FILE} and
      ${CGAL_LIBRARIES}.
    * Many packages have replaced boost::optional and boost::variant by
      their std counterparts.
  * Replace binary package libcgal-qt5-dev by libcgal-qt6-dev.
  * Replace Build-Depends: libqt5opengl5-dev, libqt5svg5-dev, qtbase5-dev by
    qt6-base-dev, qt6-base-dev-tools, qt6-svg-dev, qt6-tools-dev.
  * Replace Depends: libqt5opengl5-dev, libqt5sql5-sqlite, libqt5svg5-dev,
    libqt5websockets5-dev, qtscript5-dev, qttools5-dev, qttools5-dev-tools of
    libcgal-qt5-dev by Depends:qt6-base-dev, qt6-base-dev-tools, qt6-svg-dev,
    qt6-tools-dev, qt6-websockets-dev of libcgal-qt6-dev.
  * Update Standards-Version to 4.7.0 (no changes needed).

 -- Joachim Reichel <reichel@debian.org>  Fri, 21 Jun 2024 21:48:26 +0200

cgal (5.6-1) unstable; urgency=medium

  * New upstream release.

 -- Joachim Reichel <reichel@debian.org>  Mon, 31 Jul 2023 20:16:03 +0200

cgal (5.5.2-1) experimental; urgency=medium

  * New upstream release.
  * Update Standards-Version to 4.6.2 (no changes needed).

 -- Joachim Reichel <reichel@debian.org>  Thu, 02 Mar 2023 12:06:05 +0100

cgal (5.5.1-2) unstable; urgency=medium

  * Add debian/libcgal-ipelets.maintscript to fix the upgrade of
    libcgal-ipelets (/usr/share/doc/libcgal-ipelets is no longer a
    symlink since 5.5.1-1).

 -- Joachim Reichel <reichel@debian.org>  Fri, 28 Oct 2022 18:13:54 +0200

cgal (5.5.1-1) unstable; urgency=medium

  * New upstream release.
  * debian/control: Remove unnecessary dependency on libcgal-dev from
    libcgal-ipelets.

 -- Joachim Reichel <reichel@debian.org>  Mon, 17 Oct 2022 21:06:50 +0200

cgal (5.5-1) unstable; urgency=medium

  * New upstream release.

 -- Joachim Reichel <reichel@debian.org>  Fri, 05 Aug 2022 21:14:08 +0200

cgal (5.4.1-1) unstable; urgency=medium

  * New upstream release.

 -- Joachim Reichel <reichel@debian.org>  Sat, 18 Jun 2022 21:00:20 +0200

cgal (5.4-3) unstable; urgency=medium

  * Update Suggests: of libvtk7-dev and vtk7 of libcgal-demo to libvtk9-dev
    and vtk9 (Closes: #1012280).
  * Update Standards-Version to 4.6.1 (no changes needed).
  * Use https for Homepage: field in debian/control.

 -- Joachim Reichel <reichel@debian.org>  Tue, 08 Mar 2022 11:02:51 +0100

cgal (5.4-2) unstable; urgency=medium

  * Add patch fix-build-on-mipsel (Closes: #1005696).
  * debian/tests/control: Remove flaky restriction.
  * debian/test/run.sh: Avoid test failures due to compiler warnings.

 -- Joachim Reichel <reichel@debian.org>  Thu, 03 Feb 2022 08:45:19 +0100

cgal (5.4-1) unstable; urgency=medium

  * New upstream release.
  * Ship data files for demos and examples in
    /usr/share/doc/libcgal-dev/data.tar.gz.
  * Add superficial autopkgtests. Label them as flaky for now.

 -- Joachim Reichel <reichel@debian.org>  Tue, 01 Feb 2022 22:52:43 +0100

cgal (5.3.1-1) unstable; urgency=medium

  * New upstream release.
  * Update Standards-Version to 4.6.0 (no changes needed).

 -- Joachim Reichel <reichel@debian.org>  Thu, 16 Dec 2021 09:38:34 +0100

cgal (5.3-3) unstable; urgency=medium

  * Do not put CGAL Qt5 headers into libcgal-dev on architectures where Qt5
    support is disabled (Closes: #993329).
  * Fix timestamp for demos/examples by passing absolute filename to
    --mtime option of tar.

 -- Joachim Reichel <reichel@debian.org>  Tue, 31 Aug 2021 22:27:58 +0200

cgal (5.3-2) unstable; urgency=medium

  * Upload to unstable.
  * Use timestamp of debian/changelog for demos/exampels to improve
    reproducibility in case of patches.

 -- Joachim Reichel <reichel@debian.org>  Sun, 15 Aug 2021 17:00:18 +0200

cgal (5.3-1) experimental; urgency=medium

  * New upstream release.

 -- Joachim Reichel <reichel@debian.org>  Wed, 07 Jul 2021 21:15:39 +0200

cgal (5.2.2-1) experimental; urgency=medium

  * New upstream release.

 -- Joachim Reichel <reichel@debian.org>  Wed, 02 Jun 2021 21:34:15 +0200

cgal (5.2.1-1) experimental; urgency=medium

  * New upstream release.
  * Remove patches for Boost warnings and out-of-bounds acceses
    (superseded upstream).

 -- Joachim Reichel <reichel@debian.org>  Mon, 22 Mar 2021 19:12:53 +0100

cgal (5.2-3) unstable; urgency=medium

  * Add patch to fix out-of-bounds accesses in Nef_* (issue #5371),
    CVE-2020-28601..28636, CVE-2020-35628..35636 (Closes: #985671).

 -- Joachim Reichel <reichel@debian.org>  Sun, 21 Mar 2021 21:33:13 +0100

cgal (5.2-2) unstable; urgency=medium

  * Add two patches to fix warnings with Boost 1.74 (issue #5303).

 -- Joachim Reichel <reichel@debian.org>  Sat, 16 Jan 2021 11:25:13 +0100

cgal (5.2-1) unstable; urgency=medium

  * New upstream release.
  * Add libqt5websockets5-dev to Suggests: of libcgal-demo.
  * Update Standards-Version to 4.5.1 (no changes needed).

 -- Joachim Reichel <reichel@debian.org>  Tue, 22 Dec 2020 18:14:44 +0100

cgal (5.1.1-1) unstable; urgency=medium

  * New upstream release.
  * Add libssh-dev to Suggests: of libcgal-demo.
  * Adapt debian/watch to new release tag naming scheme.
  * Use debhelper compat version 13 (no changes needed).

 -- Joachim Reichel <reichel@debian.org>  Tue, 13 Oct 2020 17:45:35 +0200

cgal (5.1-1) unstable; urgency=medium

  * New upstream release.
  * Remove patch fix-fpu-rounding-mode-control-mipsel-and-mips64el,
    applied upstream.

 -- Joachim Reichel <reichel@debian.org>  Tue, 08 Sep 2020 22:26:11 +0200

cgal (5.0.3-1) unstable; urgency=medium

  * New upstream release.
  * Adapt to renaming of /usr/share/doc/CGAL-x.y.z to /usr/share/doc/CGAL.
  * Add Suggests: libceres-dev to libcal-demo.
  * Remove duplicate Suggests: libglpk-dev for libcgal-demo.

 -- Joachim Reichel <reichel@debian.org>  Mon, 03 Aug 2020 17:57:06 +0200

cgal (5.0.2-3) unstable; urgency=medium

  * Really fix FTBFS on armhf (debug code added in 5.0.2-2 was also
    problematic).

 -- Joachim Reichel <reichel@debian.org>  Thu, 27 Feb 2020 08:30:43 +0100

cgal (5.0.2-2) unstable; urgency=medium

  * Fix FTBFS on armhf (Closes: #952585), thanks to Gianfranco Costamagna.

 -- Joachim Reichel <reichel@debian.org>  Wed, 26 Feb 2020 21:54:45 +0100

cgal (5.0.2-1) unstable; urgency=medium

  * New upstream release.
  * Add patch to fix FPU rounding mode control on mipsel and mips64el,
    remove patch disable-fpu-rounding-mode-check-for-mipsel-and-mips64el.
  * Update settings of CPPFLAGS etc., thanks to Thomas Karl Pietrowski.

 -- Joachim Reichel <reichel@debian.org>  Tue, 25 Feb 2020 21:52:01 +0100

cgal (5.0.1-1) unstable; urgency=medium

  * New upstream release.
  * Change Build-Depends/Depends: from libgmp10-dev to libgmp-dev.
    Thanks to Bas Couwenberg (Closes: #946403).
  * Add Depends: qtbase5-dev, libqt5opengl5-dev, libqt5svg5-dev to
    libcgal-qt5-dev (Closes: #949800).
  * Use debhelper compat version 12 (no changes needed).
  * Update Standards-Version to 4.5.0 (no changes needed).
  * Fix bogus lintian warning incorrect-packaging-filename for
    debian/NEWS.Debian (there was special code to take care of that).

 -- Joachim Reichel <reichel@debian.org>  Mon, 27 Jan 2020 22:43:30 +0100

cgal (5.0-5) unstable; urgency=medium

  * Add patch disable-fpu-rounding-mode-check-for-mipsel-and-mips64el.

 -- Joachim Reichel <reichel@debian.org>  Sat, 07 Dec 2019 14:33:54 +0100

cgal (5.0-4) unstable; urgency=medium

  * Fix test failure in rounding_modes_cgal.cpp: backup the FPU state at
    the very beginning of main() to prevent failure on mipsel and mips64el.

 -- Joachim Reichel <reichel@debian.org>  Thu, 05 Dec 2019 21:14:01 +0100

cgal (5.0-3) unstable; urgency=medium

  * Upload to unstable.
  * Move debian/source.lintian-overrides to debian/source/lintian-overrides.

 -- Joachim Reichel <reichel@debian.org>  Tue, 03 Dec 2019 21:59:43 +0100

cgal (5.0-2) experimental; urgency=medium

  * Add libcgal-dev.maintscript to convert the symbolic link
    /usr/share/doc/libcgal-dev into a directory (Closes: #945341).
  * Add patch improve-thirdparty-autodetection.

 -- Joachim Reichel <reichel@debian.org>  Sat, 23 Nov 2019 10:41:42 +0100

cgal (5.0-1) experimental; urgency=medium

  * New upstream release (Closes: #944361).
  * Drop binary packages binary packages libcgal13 and libcgal-qt5-14 due to
    the header-only mode now being the default.
  * Update debian/tests/rounding_modes_cgal.cpp to restore rounding mode
    before exit.
  * Drop TESTS_IEEE_FPU_OPTION variable (does not work anyway).
  * Add lib3mf-dev, libboost-filesystem-dev, libboost-iostreams-dev,
    libboost-serialization-dev, libglpk-dev, libmetis-dev, and libvtk6-dev
    to Suggests: of libcgal-demo.
  * Update Standards-Version to 4.4.1 (no changes needed).

 -- Joachim Reichel <reichel@debian.org>  Sat, 09 Nov 2019 10:58:26 +0100

cgal (4.14-5) unstable; urgency=medium

  * Strip -ffile-prefix-map=... and -fmacro-prefix-map=... from
    CGALConfig.cmake to avoid false positives in reproducible builds report.

 -- Joachim Reichel <reichel@debian.org>  Sat, 24 Aug 2019 14:19:03 +0200

cgal (4.14-4) unstable; urgency=medium

  * Add version constraint for libCGAL_ImageIO in libcgal13.shlibs.
    Thanks to Drew Parsons (Closes: #934179).

 -- Joachim Reichel <reichel@debian.org>  Thu, 08 Aug 2019 18:45:45 +0200

cgal (4.14-3) unstable; urgency=medium

  * Upload to unstable.
  * Update Standards-Version to 4.4.0 (no changes needed).

 -- Joachim Reichel <reichel@debian.org>  Sat, 27 Jul 2019 10:39:40 +0200

cgal (4.14-2) experimental; urgency=medium

  * Fix stripping of -fdebug-prefix-map=... on non-amd64 architectures.

 -- Joachim Reichel <reichel@debian.org>  Fri, 29 Mar 2019 20:33:09 +0100

cgal (4.14-1) experimental; urgency=medium

  * New upstream release.
  * Rename binary package libcgal-qt5-13 to libcgal-qt5-14 to reflect
    SONAME change.
  * Add Rules-Requires-Root: no to debian/control.
  * Strip -fdebug-prefix-map=... from CGALConfig.cmake to avoid false
    positives in reproducible builds report.
  * Update Standards-Version to 4.3.0 (no changes needed).

 -- Joachim Reichel <reichel@debian.org>  Fri, 29 Mar 2019 18:23:00 +0100

cgal (4.13-1) unstable; urgency=medium

  * New upstream release.
    - Remove Suggests: libqglviewer-dev-qt5 from libcgal-demo. CGAL uses
      now a fork of libQGLViewer.
  * Add Build-Depends: libeigen3-dev (needed by libcgal-ipelets).
  * Update Standards-Version to 4.2.1 (no changes needed).

 -- Joachim Reichel <reichel@debian.org>  Mon, 01 Oct 2018 18:24:40 +0200

cgal (4.12-1) unstable; urgency=medium

  * New upstream release.
    - Separate flags used to compile the libraries from flags required by
      users of the libraries (Closes: #886670).
  * Add Suggests: libsuitesparse-dev for libcgal-demo.
  * Update Standards-Version to 4.1.4 (no changes needed).

 -- Joachim Reichel <reichel@debian.org>  Thu, 26 Apr 2018 18:29:52 +0200

cgal (4.11.1-1) unstable; urgency=medium

  * New upstream release.
  * Fix FCBFS: Let dh_auto_configure pass cross toolchain flags to cmake.
    Thanks to Helmut Grohne for the patch (Closes: #883550).
  * Override wrong lintian warning about not installed examples.
  * Use debhelper compat version 11 (no changes needed).
  * Update Standards-Version to 4.1.3 (no changes needed).

 -- Joachim Reichel <reichel@debian.org>  Thu, 01 Mar 2018 18:34:40 +0100

cgal (4.11-2) unstable; urgency=medium

  * Upload to unstable.
  * Fix pedantic lintian warnings (whitespace).

 -- Joachim Reichel <reichel@debian.org>  Sat, 04 Nov 2017 19:50:06 +0100

cgal (4.11-1) experimental; urgency=medium

  * New upstream release.
  * Update Standards-Version to 4.1.0 (no changes needed).

 -- Joachim Reichel <reichel@debian.org>  Thu, 21 Sep 2017 21:07:48 +0200

cgal (4.10-1) experimental; urgency=medium

  * New upstream release.
  * Remove non-satisfiable Suggests: libglew1.10-dev from libcgal-demo.
  * Update Suggests: libqglviewer-dev to Suggests: libqglviewer-dev-qt5 for
    libcgal-demo.
  * Add SOVERSION check to configure target in debian/rules.
  * New upstream release.
  * Rename binary packages libcgal12/libcgal-qt5-12 to
    libcgal13/libcgal-qt5-13 to reflect SONAME change.
  * Update Standards-Version to 4.0.0 (no changes needed).

 -- Joachim Reichel <reichel@debian.org>  Wed, 31 May 2017 21:07:16 +0200

cgal (4.9.1-1) experimental; urgency=medium

  * New upstream release.
  * Add "export DEB_BUILD_MAINT_OPTIONS = hardening=+bindnow" to debian/rules.
  * Remove unused lintian override package-name-doesnt-match-sonames.

 -- Joachim Reichel <reichel@debian.org>  Fri, 14 Apr 2017 19:15:13 +0200

cgal (4.9-1) unstable; urgency=medium

  * New upstream release.
  * Rename binary packages libcgal11v5/libcgal-qt5-11 to
    libcgal12/libcgal-qt5-12 to reflect SONAME change.
  * Remove patches sort-file-glob-results (applied upstream).
  * Remove debug output.

 -- Joachim Reichel <reichel@debian.org>  Mon, 19 Sep 2016 19:24:29 +0200

cgal (4.8.1-1) unstable; urgency=medium

  * Remove patch fix-missing-includes (applied upstream).

 -- Joachim Reichel <reichel@debian.org>  Mon, 13 Jun 2016 18:50:16 +0200

cgal (4.8-4) unstable; urgency=medium

  * Add patch fix-missing-includes to fix FTBFS.
  * Add patch sort-file-glob-results to make the build process
    deterministic.

 -- Joachim Reichel <reichel@debian.org>  Thu, 12 May 2016 21:00:43 +0200

cgal (4.8-3) unstable; urgency=medium

  * Fix FTBFS on armel and armhf: re-add Build-Depends: libglu1-mesa-dev
    on armel and armhf such that CGAL_ImageIO can still be built.
  * Do not move headers from libcgal-qt5-dev to libcgal-dev if
    libcgal-qt5-dev is not built (Closes: #822441).
  * Remove amd64 from list of OpenGL ES architectures.

 -- Joachim Reichel <reichel@debian.org>  Sun, 24 Apr 2016 17:21:53 +0200

cgal (4.8-2) unstable; urgency=medium

  * Fix FTBFS on armel and armhf caused by missing OpenGL ES support in CGAL
    (and libQGLViewer). Stop building libcgal-qt5-11 and libcgal-qt5-dev on
    armel and armhf.

 -- Joachim Reichel <reichel@debian.org>  Fri, 22 Apr 2016 16:54:32 +0200

cgal (4.8-1) unstable; urgency=medium

  * New upstream release (Closes: #804539).
  * Really apply patch for parallel builds mentioned in changelog for 4.7-1.
  * Attempt to make build reproducible: Add --sort=name to tar invocations,
    add Build-Depends: tar (>= 1.28)
  * Add Suggests: cimg-dev for libcgal-demo.
  * Fix debian/watch after move to github.
  * Update Standards-Version to 3.9.8 (no changes needed).

 -- Joachim Reichel <reichel@debian.org>  Fri, 08 Apr 2016 16:00:02 +0200

cgal (4.7-4) unstable; urgency=medium

  * Fix FTBFS when built with dpkg-buildpackage -A (Closes: #806003).

 -- Joachim Reichel <reichel@debian.org>  Sun, 29 Nov 2015 11:42:24 +0100

cgal (4.7-3) unstable; urgency=medium

  * Add Conflicts:/Replaces: libcgal-qt4-dev for libcgal-qt5-dev
    (Closes: #803108).
  * Add Build-Depends: libglu1-mesa-dev to fix FTBFS on armhf.

 -- Joachim Reichel <reichel@debian.org>  Thu, 29 Oct 2015 20:04:20 +0100

cgal (4.7-2) unstable; urgency=medium

  * Revert unintended binary package name change from libcgal11v5 to
    libcgal11 in 4.7-1. This package still needs the "v5" suffix in
    contrast to the Qt support library which changed its name anyway.

 -- Joachim Reichel <reichel@debian.org>  Thu, 22 Oct 2015 18:52:08 +0200

cgal (4.7-1) unstable; urgency=medium

  * New upstream release (Closes: #781774).
  * Use Qt 5.x instead of Qt 4.x for the Qt support library and demos.
    Rename binary packages accordingly.
  * Support parallel builds, thanks to Matthias Klose for the patch
    (Closes: #797346).
  * Removed "XS-Autobuild: yes" from debian/control which is no longer
    needed since 4.0-1.
  * Remove some unused lintian overrides.

 -- Joachim Reichel <reichel@debian.org>  Tue, 20 Oct 2015 23:24:50 +0200

cgal (4.6.1-2) unstable; urgency=medium

  * Rename library packages for g++5 ABI transition (Closes: #790996).

 -- Joachim Reichel <reichel@debian.org>  Thu, 27 Aug 2015 21:38:50 +0200

cgal (4.6.1-1) unstable; urgency=medium

  * New upstream release.

 -- Joachim Reichel <reichel@debian.org>  Fri, 26 Jun 2015 18:56:37 +0200

cgal (4.6-3) unstable; urgency=medium

  * Re-apply changes from 4.5.2-2 which got lost in 4.6-1:
    Move include/CGAL/compiler_config.h to architecture-specific
    subdirectory since the contents might be different between architectures
    (Closes: #784750).
  * Attempt to make build reproducible: Set permissions of the contents of
    the tarballs for demos and examples such that the permissions do not
    depend on the umask.

 -- Joachim Reichel <reichel@debian.org>  Fri, 08 May 2015 20:46:11 +0200

cgal (4.6-2) unstable; urgency=medium

  * Upload to unstable.

 -- Joachim Reichel <reichel@debian.org>  Mon, 27 Apr 2015 20:15:39 +0200

cgal (4.6-1) experimental; urgency=medium

  * New upstream release.
  * Rename binary packages libcgal10/libcgal-qt4-10 to
    libcgal11/libcgal-qt4-11 to reflect SONAME change.
  * Adjust lintian overrides to multiarch paths.

 -- Joachim Reichel <reichel@debian.org>  Fri, 10 Apr 2015 19:44:58 +0200

cgal (4.5.2-2) experimental; urgency=medium

  * Move include/CGAL/compiler_config.h to architecture-specific
    subdirectory since the contents might be different between architectures
    (Closes: #779408).

 -- Joachim Reichel <reichel@debian.org>  Sun, 08 Mar 2015 20:49:30 +0100

cgal (4.5.2-1) experimental; urgency=medium

  * New upstream release.

 -- Joachim Reichel <reichel@debian.org>  Fri, 20 Feb 2015 20:08:26 +0100

cgal (4.5.1-1) experimental; urgency=medium

  * New upstream release.

 -- Joachim Reichel <reichel@debian.org>  Mon, 29 Dec 2014 11:47:44 +0100

cgal (4.5-5) experimental; urgency=medium

  * Really drop Multi-Arch: no from libcgal-ipelets (Closes: #767516).

 -- Joachim Reichel <reichel@debian.org>  Fri, 07 Nov 2014 21:30:45 +0100

cgal (4.5-4) experimental; urgency=medium

  * Drop Multi-Arch: no from libcgal-ipelets since it causes problems with
    apt-get in wheezy (bug #759099). The value "no" is the default anyway
    (Closes: #767516).

 -- Joachim Reichel <reichel@debian.org>  Fri, 31 Oct 2014 19:26:48 +0100

cgal (4.5-3) experimental; urgency=medium

  * Add multiarch support based on a patch from Marc Glisse
    (Closes: #737307).
  * Add libtbb-dev to Suggests: of libcgal-dev and libcgal-demo.

 -- Joachim Reichel <reichel@debian.org>  Thu, 30 Oct 2014 21:31:46 +0100

cgal (4.5-2) unstable; urgency=medium

  * Re-enable support for GMPXX (accidentally disabled in 4.1-1,
    Closes: #705803).
  * Remove traces of incorrect attempts to enable MPFI and NTL support.
    Enabling support for these libraries causes some examples no longer
    to build.
  * Add libmpfi-dev and libntl-dev to Suggests: of libcgal-dev and
    libcgal-demo.
  * Remove section about very old versions of libqglviewer from
    README.Debian, add section about enabling support for MPFI and NTL.

 -- Joachim Reichel <reichel@debian.org>  Thu, 16 Oct 2014 21:47:30 +0200

cgal (4.5-1) unstable; urgency=medium

  * New upstream release.
  * Pass --no-name to gzip to favor reproducible builds.
  * Adapt debian/watch to new site structure.
  * Update Standards-Version to 3.9.6 (no changes needed).

 -- Joachim Reichel <reichel@debian.org>  Fri, 10 Oct 2014 18:07:47 +0200

cgal (4.4-1) unstable; urgency=medium

  * New upstream release.
  * Remove patches do-not-link-example-with-qt4-support-library.patch and
    fix_jet_fitting_3.patch (applied upstream).

 -- Joachim Reichel <reichel@debian.org>  Sat, 05 Apr 2014 10:56:43 +0200

cgal (4.3-3) experimental; urgency=medium

  * Remove no-longer existing Suggests: alternative libatlas.so.3gf from
    libcgal-demo (Closes: 738743).
  * Replace Suggests: libqglviewer-qt4-dev by libqglviewer-dev for
    libcgal-demo.

 -- Joachim Reichel <reichel@debian.org>  Thu, 27 Mar 2014 18:32:21 +0100

cgal (4.3-2) experimental; urgency=medium

  * Added patch fix_jet_fitting_3 (Closes: #736482).
  * Update Standards-Version to 3.9.5 (no changes needed).

 -- Joachim Reichel <reichel@debian.org>  Sun, 26 Jan 2014 10:13:46 +0100

cgal (4.3-1) experimental; urgency=low

  * New upstream release.
  * Remove patch patch fix-fpu-rounding-modes-ia64 (applied upstream).

 -- Joachim Reichel <reichel@debian.org>  Thu, 17 Oct 2013 19:46:03 +0200

cgal (4.2-5) unstable; urgency=low

  * Add Replaces: libcgal-dev (<< 4.1-1), Breaks: libcgal-dev (<< 4.1-1) to
    libcgal-qt4-dev (Closes: #718006).
  * Update Standards-Version to 3.9.3 (no changes needed).
  * Removed hardening-no-fortify-functions from lintian overrides for
    libcgal-qt4-10 and libcgal-ipelets. Added spelling-error-in-binary to
    lintian overrides for libcgal-ipelets.

 -- Joachim Reichel <reichel@debian.org>  Sun, 28 Jul 2013 10:32:39 +0200

cgal (4.2-4) unstable; urgency=low

  * Fix FTBFS on i386, hurd-i386, and kfreebsd-i386 caused by missing
    handling of excess FPU precision in recently added test
    rounding_math_simple.cpp.
  * Add patch fix-fpu-rounding-modes-ia64 to fix FTBFS on ia64.
  * Remove -DWITH_NTL=ON from cmake configuration for CGAL ipelets (not
    needed).

 -- Joachim Reichel <reichel@debian.org>  Tue, 21 May 2013 22:59:05 +0200

cgal (4.2-3) unstable; urgency=low

  * Change Recommends: libcgal10-qt4 of libcgal-demo to the correct
    package name libcgal-qt4-10.
  * Add a stand-alone test extracted from Interval_nt.h (fails on ia64).
  * Update Standards-Version to 3.9.4 (no changes needed).

 -- Joachim Reichel <reichel@debian.org>  Mon, 20 May 2013 13:30:38 +0200

cgal (4.2-2) unstable; urgency=low

  * Upload to unstable.

 -- Joachim Reichel <reichel@debian.org>  Wed, 08 May 2013 22:20:14 +0200

cgal (4.2-1) experimental; urgency=low

  * New upstream release.
  * Add libboost-system-dev to Depends: of libcgal-dev.

 -- Joachim Reichel <reichel@debian.org>  Thu, 11 Apr 2013 22:09:02 +0200

cgal (4.1-2) experimental; urgency=low

  * Enable NTL support.
  * Re-enable test for proper FPU rounding-mode support.

 -- Joachim Reichel <reichel@debian.org>  Thu, 07 Feb 2013 20:40:30 +0100

cgal (4.1-1) unstable; urgency=low

  * New upstream release.
  * Rename binary package libcgal9 to libcgal10 to reflect SONAME change.
  * Configure CGAL using -DCGAL_ENABLE_PRECONFIG=OFF since we do not want
    that the accidential presence of optional libraries (for demos and
    examples) influences the build of the library.
  * Move the Qt4 support library and the corresponding headers into new
    binary packages libcgal-qt4-10 and libcgal-qt4-dev (Closes: #683214).
  * Add libboost-system-dev to Builds-Depends: of cgal.
  * Move libmpfi-dev from Suggests: of cgal-demo to Build-Depends: of cgal.

 -- Joachim Reichel <reichel@debian.org>  Wed, 24 Oct 2012 19:08:35 +0200

cgal (4.0.2-1) unstable; urgency=low

  * New upstream release.
  * Remove gcc-4.7 patch (fixed upstream).

 -- Joachim Reichel <reichel@debian.org>  Wed, 04 Jul 2012 19:45:28 +0200

cgal (4.0-4) unstable; urgency=low

  * Add Suggests: libeigen3-dev (>= 3.1.0~beta1-1), libmpfi-dev to
    libcgal-demo.

 -- Joachim Reichel <reichel@debian.org>  Tue, 12 Jun 2012 23:53:14 +0200

cgal (4.0-3) unstable; urgency=low

  * Change Build-Depends: debhelper (>= 8) to debhelper (>= 9), update
    debian/compat to get the default build flags for hardening. Inject
    CPPFLAGS into CFLAGS and CXXFLAGS, since CPPFLAGS is ignored by cmake.
  * Add lintian override to silence incorrect warnings about
    hardening-no-fortify-functions for some libraries (all libraries are
    built with the same flags).

 -- Joachim Reichel <reichel@debian.org>  Sun, 10 Jun 2012 15:36:27 +0200

cgal (4.0-2) unstable; urgency=low

  * Add patch gcc-4.7 to fix a syntax error in template code which is
    not instantiated during the package build itself (Closes: #673554).
  * Fix debian/watch.

 -- Joachim Reichel <reichel@debian.org>  Sun, 20 May 2012 22:47:56 +0200

cgal (4.0-1) unstable; urgency=low

  * New upstream release.
  * Move from non-free to main due to upstream license change from QPL
    to GPL 3+ (and from LGPL 2.1 to LGPL 3+), updated debian/copyright
    accordingly.
  * Rename binary package libcgal8 to libcgal9 to reflect SONAME change.
  * Update Standards-Version to 3.9.3 (no changes needed).
  * Remove fix-ipe-version-detection.dpatch and
    fix-qt-moc-parse-error.dpatch (fixed upstream).
  * Removed libmagick++9-dev from Suggests: of libcgal-demo, because
    that package does no longer exists.

 -- Joachim Reichel <reichel@debian.org>  Mon, 12 Mar 2012 19:14:55 +0100

cgal (3.9-4) unstable; urgency=low

  * Rebuild against boost 1.48 (Closes: #659358).
  * Add fix-qt-moc-parse-error.dpatch as workaround for
    https://bugreports.qt-project.org/browse/QTBUG-22829.

 -- Joachim Reichel <reichel@debian.org>  Fri, 10 Feb 2012 22:41:26 +0100

cgal (3.9-3) unstable; urgency=low

  * Fix FTBFS when building only architecture dependent packages caused
    by recent transition to the new packaging format (Closes: #658191).

 -- Joachim Reichel <reichel@debian.org>  Wed, 01 Feb 2012 00:07:03 +0100

cgal (3.9-2) unstable; urgency=low

  * Changed packaging format to "3.0 (quilt)".
  * Add fix-ipe-version-detection.dpatch: upstream patch for bug #643278.
    Remove workaround.
  * Tighten Depends: of libcgal-ipelets on ipe (Closes: #657720).
  * Move libcgal-ipelets to Section: graphics.
  * Add libqt4-opengl-dev to Suggests: of libcgal-demo.

 -- Joachim Reichel <reichel@debian.org>  Mon, 30 Jan 2012 19:04:18 +0100

cgal (3.9-1) unstable; urgency=low

  * New upstream release.
  * Rename binary package libcgal7 to libcgal8 to reflect SONAME change.
  * Add workaround for bug #643278.

 -- Joachim Reichel <reichel@debian.org>  Wed, 28 Sep 2011 19:51:35 +0200

cgal (3.8-1) unstable; urgency=low

  * New upstream release.
  * Rename binary package libcgal6 to libcgal7 to reflect SONAME change.
  * Update Standards-Version to 3.9.2 (no changes needed).

 -- Joachim Reichel <reichel@debian.org>  Thu, 21 Apr 2011 18:45:25 +0200

cgal (3.7-5) unstable; urgency=low

  * Upload to unstable.

 -- Joachim Reichel <reichel@debian.org>  Sun, 06 Mar 2011 17:26:11 +0100

cgal (3.7-4) experimental; urgency=low

  * Build with libgmp10 (Closes: #614797). Thanks to Christian M. Amsüss.

 -- Joachim Reichel <reichel@debian.org>  Sun, 27 Feb 2011 16:36:22 +0100

cgal (3.7-3) unstable; urgency=low

  * Disable support for Qt3 because Qt3 has been removed from the repository
    (Closes: #604478).

 -- Joachim Reichel <reichel@debian.org>  Thu, 10 Feb 2011 21:06:09 +0100

cgal (3.7-2) unstable; urgency=low

  * Upload to unstable.

 -- Joachim Reichel <reichel@debian.org>  Sun, 06 Feb 2011 13:53:00 +0100

cgal (3.7-1) experimental; urgency=low

  * New upstream release.
  * Rename binary package libcgal5 to libcgal6 to reflect SONAME change.
  * Rename binary package libcgal5-ipelets to libcgal-ipelets because it is
    not possible to install the ipelets for different SONAMEs in parallel.
  * Remove ipe-default-to-version-7.dpatch: the Ipe version is now
    auto-detected.
  * Remove fix-core-64bit.dpatch (fixed upstream).
  * Add qt4-dev-tools to Suggests: of libcgal-demo for qcollectiongenerator.
  * Update Standards-Version to 3.9.1 (-D_REENTRANT no longer needed).

 -- Joachim Reichel <reichel@debian.org>  Sun, 17 Oct 2010 14:27:54 +0200

cgal (3.6.1-2) unstable; urgency=low

  * Add fix-core-64bit.dpatch: use CORE::CHUNK_BIT instead of hard-coded
    constant 14.

 -- Joachim Reichel <reichel@debian.org>  Tue, 24 Aug 2010 19:46:36 +0200

cgal (3.6.1-1) unstable; urgency=low

  * New upstream release.
  * Set SOVERSION explicitly to 5.0.1 as told by upstream.
  * Remove architecture exceptions from Suggests: for libcgal-demo which is no
    longer allowed by dpkg-gencontrol (see #560071).
  * Fix debian/watch file.
  * Change license of packaging to LGPL 2.1 or later because referencing the
    BSD license in /usr/share/common-licenses is deprecated.
  * Update Standards-Version to 3.9.0 (no changes needed).

 -- Joachim Reichel <reichel@debian.org>  Thu, 01 Jul 2010 23:37:41 +0200

cgal (3.6-1) unstable; urgency=low

  * New upstream release.
  * Rename binary package libcgal4 to libcgal5 to reflect SONAME change.
  * Remove fix-cmake-qglviewer-detection.dpatch (fixed upstream).
  * New binary package libcgal5-ipelets which contains plugins for Ipe 7.x
    (Closes: #557643).
  * Add ipe-default-to-version-7.dpatch: change default of WITH_IPE_7 to ON.
  * Remove libboost-graph1.35-dev from Build-Depends: and Suggests: of
    libcgal-demo (not needed).

 -- Joachim Reichel <reichel@debian.org>  Mon, 22 Mar 2010 19:09:15 +0100


cgal (3.5.1-2) unstable; urgency=low

  * Add fix-cmake-qglviewer-detection.dpatch (Closes: #564126), thanks to
    Marc Glisse for the patch.
  * Update Standards-Version to 3.8.4 (no changes needed).

 -- Joachim Reichel <reichel@debian.org>  Sat, 06 Feb 2010 12:29:02 +0100

cgal (3.5.1-1) unstable; urgency=low

  * New upstream release.
  * Fix error in handling of "debug" and "nostrip" in $(DEB_BUILD_OPTIONS)
    (see also #552961).
  * Unset QTDIR before calling cmake to reduce problems in non-clean build
    environments.
  * Add ${misc:Depends} to Depends: of all binary packages as found by
    lintian.

 -- Joachim Reichel <reichel@debian.org>  Sun, 22 Nov 2009 22:31:00 +0100

cgal (3.5-1) unstable; urgency=low

  * New upstream release.
  * Rename binary package libcgal3 to libcgal4 to reflect SONAME change.
  * Remove fix-FindCGAL-cmake.dpatch (fixed upstream).
  * Remove fix-demos-examples-configuration.dpatch (fixed upstream).
  * Remove add-cmake-2.6.3-support.dpatch (fixed upstream).
  * Remove fix-demo-polyheron-3.dpatch (fixed upstream).
  * Remove "-mieee -mfp-rounding-mode=d" from CGAL_CXX_FLAGS on alpha
    (fixed upstream).

 -- Joachim Reichel <reichel@debian.org>  Sat, 03 Oct 2009 16:43:08 +0200

cgal (3.4-5) unstable; urgency=low

  * Return to unversioned boost dependencies.
  * Re-add working watch file.
  * Update Standards-Version to 3.8.3 (no changes needed).

 -- Joachim Reichel <reichel@debian.org>  Wed, 16 Sep 2009 19:25:09 +0200

cgal (3.4-4) unstable; urgency=low

  * Add patch fix-demos-examples-configuration.dpatch.
  * Add patch add-cmake-2.6.3-support.dpatch.
  * Add patch fix-demo-polyheron-3.dpatch.
  * Fix support for nocheck in DEB_BUILD_OPTIONS (was broken in 3.4-3).

 -- Joachim Reichel <reichel@debian.org>  Fri, 01 May 2009 17:31:00 +0200

cgal (3.4-3) unstable; urgency=low

  * Update boost dependencies to 1.38.
  * Remove watch file (new upstream location uses unpredictable paths).
  * Update Standards-Version to 3.8.1 (add support for nocheck in
    DEB_BUILD_OPTIONS).
  * Change Suggests: dependency of libcgal-demo from libqglviewer-dev
    to libqglviewer-qt4-dev (all demos using libQGLViewer use Qt4).
  * Add workaround for #522659 to README.Debian.

 -- Joachim Reichel <reichel@debian.org>  Sat, 18 Apr 2009 11:46:19 +0200

cgal (3.4-2) unstable; urgency=low

  * Add "-mieee -mfp-rounding-mode=d" to CGAL_CXX_FLAGS on alpha (got lost
    during the transition to cmake).

 -- Joachim Reichel <reichel@debian.org>  Sun, 15 Feb 2009 15:06:31 +0100

cgal (3.4-1) unstable; urgency=low

  * New upstream release.
  * Adapt debian/rules to the new cmake-based build system.
  * Downgrade LAPACK- and BLAS-related Build-Depends: to Suggests: for
    libcgal-demo, since it is now possible to configure demos and examples
    independently of the library.

 -- Joachim Reichel <reichel@debian.org>  Thu, 22 Jan 2009 18:39:44 +0100

cgal (3.3.1-4) unstable; urgency=low

  * Remove fortran-transition.dpatch, update build-library.dpatch:
    Do not link with -lg2c in configuration tests (Closes: #475721).
  * Update cgal_create_makefile.dpatch to remove bashisms (Closes: #486045).
  * Update debian/tests/rounding_modes2.cpp to stop constant propagation.
  * Update Standards-Version to 3.8.0 (explain in debian/copyright why package
    is in non-free).

 -- Joachim Reichel <joachim.reichel@gmx.de>  Sun, 15 Jun 2008 22:11:14 +0200

cgal (3.3.1-3) unstable; urgency=low

  * Add patch fortran-transition.dpatch (Closes: #470359), thanks to Kumar
    Appaiah for the patch.
  * debian/rules: s/lapack3-dev/liblapack-dev/,
    s/atlas3-base-dev/libatlas-base-dev/, s/libatlas-3.so/libatlas.so.3gf/ .
  * Fix manpage w.r.t. makefile vs. cgal.mk (Closes: #466430).
  * Add second test for FPU rounding modes.

 -- Joachim Reichel <joachim.reichel@gmx.de>  Wed, 19 Mar 2008 20:27:34 +0100

cgal (3.3.1-2) unstable; urgency=low

  * debian/control: Really really drop support for atlas and lapack on arm
    and m68k, fix atlas and lapack support on other architectures.
  * debian/control: Extend exclusions for arm to variants armeb and armel
    (Closes: #460141).
  * debian/control: Remove virtual dependency liblapack-3.so which is
    provided by atlas3-base-dev (which does *not* provide
    /usr/lib/liblapack.so, just /usr/lib/atlas/liblapack.so).
  * debian/control: Replace virtual dependency libblas-3.so by
    libatlas-3.so.
  * Add patch qt-compatibility-headers.dpatch (Closes: #464251).
  * debian/control: Add Homepage: field, adjust Description: accordingly.
  * Update Standards-Version to 3.7.3 (no changes needed).

 -- Joachim Reichel <joachim.reichel@gmx.de>  Wed, 06 Feb 2008 18:37:52 +0100

cgal (3.3.1-1) unstable; urgency=low

  * New upstream release.
  * Remove patch bugfix-fpu-rounding-mode-alpha.dpatch (included by
    upstream).
  * Fail build if FPU rounding mode test fails.
  * Really drop support for atlas and lapack on arm and m68k.
  * Fix cgal_create_makefile w.r.t. makefile vs. cgal.mk.

 -- Joachim Reichel <joachim.reichel@gmx.de>  Mon,  3 Sep 2007 18:57:36 +0200

cgal (3.3-2) unstable; urgency=low

  * Add patch bugfix-fpu-rounding-mode-alpha.dpatch (Closes: #431230).
  * debian/control: Add versioned depends on libboost-program-options-dev,
    drop build-dependency on libboost-graph-dev.
  * Drop support for atlas on arm and m68k.

 -- Joachim Reichel <joachim.reichel@gmx.de>  Mon, 16 Jul 2007 15:32:35 +0200

cgal (3.3-1) unstable; urgency=low

  * New upstream release.

 -- Joachim Reichel <joachim.reichel@gmx.de>  Sun,  3 Jun 2007 09:36:36 +0200

cgal (3.2.1-2) unstable; urgency=low

  * Fix FTBFS on hppa (and probably also on other architectures) related
    to FPU rounding modes (Closes: #404464).
  * debian/control: Add tag XS-Autobuild.
  * debian/copyright: Add note about autobuilding.
  * debian/control: Make package binNMU-safe.
  * Remove linda override for bug #369977 (no longer needed).
  * Add watch file.

 -- Joachim Reichel <joachim.reichel@gmx.de>  Fri, 26 Jan 2007 19:16:36 +0100

cgal (3.2.1-1) unstable; urgency=low

  * New upstream release.
  * Add linda override for bug #369977.
  * Remove patch bugfix-demo-examples-makefiles.dpatch (no longer needed).

 -- Joachim Reichel <joachim.reichel@gmx.de>  Fri, 14 Jul 2006 21:20:16 +0200

cgal (3.2-1) unstable; urgency=low

  * New upstream release.
  * First upload to Debian archive. (Closes: #251885)

 -- Joachim Reichel <joachim.reichel@gmx.de>  Mon, 29 May 2006 20:24:27 +0200
